Page MenuHomePhabricator

Links to sourceswiki can be added to items but aren't displayed
Open, Needs TriagePublic

Description

An item was created with a link to sourceswiki (or "old Wikisource", mul.wikisource...). However, the link is not displayed anywhere on the page. (Subsequently, the item was merged to another but this page doesn't display the link either.)

By the way, should this happen at all? I must have missed that sitelinks to sourceswiki are allowed.

Live list of them: query.

Relevant tasks: T204706, T202543, T138332, T54971.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2019, 1:25 PM

Hm, yeah, I also thought that wasn’t supposed to be supported, but the link exists in the entity JSON and Special:GoToLinkedPage follows it.

Liuxinyu970226 added a comment.EditedMar 19 2019, 11:25 AM

To me adding sitelink for these sites that with arbitrary access support but without sitelinks-on-Wikidata-items support is possible via either Chrome or Firefox, by dragging "Add links" on the left (below "In other languages"), typing title as label and click Enter Create, so I've created Q62099559

After that, I merged this item to Q131180, then history mentioned the link I merged to target item: https://www.wikidata.org/w/index.php?title=Q131180&type=revision&diff=887792943&oldid=878839260

The json codes of Q62099559 were:

{"entities":{"Q62099559":{"pageid":61922752,"ns":0,"title":"Q62099559","lastrevid":887792425,"modified":"2019-03-19T11:25:14Z","type":"item","id":"Q62099559","labels":{"en":{"language":"en","value":"Epistola I a Timotheo Capitulo 1"}},"descriptions":[],"aliases":[],"claims":[],"sitelinks":{"sourceswiki":{"site":"sourceswiki","title":"Epistola I a Timotheo Capitulo 1","badges":[],"url":"https://wikisource.org/wiki/Epistola_I_a_Timotheo_Capitulo_1"}}}}}
Ankry added a subscriber: Ankry.Sun, Nov 24, 11:26 AM

The current behaviour tends to cause problems and mislead users, see
https://wikisource.org/w/index.php?title=Special:Permalink/765318#Wikipedia_link_from_the_main_page_of_the_Wikisource

(caused by https://www.wikidata.org/w/index.php?title=Special:Diff/1048313808/1054175884 and https://www.wikidata.org/w/index.php?title=Special:Diff/1042629122/1054175881 )

IMO, the "Add links" link in the left pane should be disabled in sourceswiki until T138332 is resolved.
(maybe, it should be disabled in all Wikisources, but this is another issue)